<h3 class="H3-Left"><img src="../../../../assets/images/profile.svg" alt=""> Administratörer</h3>


<ul class="list-group">
  <li class="list-group-item" *ngFor="let member of organisation.members">
    <div class="row">
      <div class="col-md-8">
        <h4 class="mem-name">{{member.name}}</h4>
        <button class="ml-3 btn btn-secondary" *ngIf="keycloakService.client().subject === member.keycloakId"
                data-cy="user" [routerLink]="['/backstage/profile']"><i class="fas fa-user-edit"></i></button>
      </div>
      <div class="col-md-4">
        <button type="button" class="btn btn-link text-danger pull-right"
                (click)="removeMember(member)"
                *ngIf="organisation?.members.length > 1 && isAcceptedMember()"><i class="fa fa-minus-circle"></i>Ta bort
        </button>
      </div>
    </div>
  </li>
  <li class="list-group-item" *ngIf="(organisation.members | json) == '[]'">Inga medlemmar</li>

  <li class="list-group-item" *ngFor="let waiting of organisation.waiting">
    <div class="row">

      <p class="memberReqName col-md-7">{{waiting.name}}</p>
      <div class="memberDecideButtons col-md-5">
        <button class="btn btn-success" (click)="acceptMemberRequest(waiting)"
                *ngIf="organisation?.currentUserEditAccess">Acceptera
        </button>
        <button class="btn btn-danger" (click)="rejectMemberRequest(waiting)"
                *ngIf="organisation?.currentUserEditAccess">Neka
        </button>
        <button class="btn btn-danger" (click)="rejectMemberRequest(waiting)"
                *ngIf="waiting.keycloakId === keycloakService.client().subject">Ta tillbaks
        </button>
      </div>
    </div>
  </li>

  <li class="list-group-item">
    <div class="form-row">
      <input class="form-control col-md-8" type="email" email required #email="ngModel" placeholder="kollegan@firman.se" [(ngModel)]="invitesToSend"
             [class.is-invalid]="email.invalid" [class.is-valid]="email.valid" >
      <div class="col-md-4">
        <button class="btn btn-primary align-bottom inv-btn" (click)="sendInvites()"
                [disabled]="email.invalid">Skicka inbjudan
        </button>
      </div>
    </div>

  </li>
</ul>


<!--<ul class="nav nav-tabs">-->
<!--<li class="nav-item">-->
<!--<a class="nav-link" [class.active]="openWaiting" (click)="openWaitingTab()">-->
<!--Väntlista <span class="badge badge-pill badge-primary">{{organisation.waiting.length}}</span></a>-->
<!--</li>-->
<!--<li class="nav-item">-->
<!--<a class="nav-link" [class.active]="openMembers" (click)="openMembersTab()">-->
<!--Medlemmar <span class="badge badge-pill badge-primary">{{organisation.members.length}}</span></a>-->
<!--</li>-->
<!--<li class="nav-item" *ngIf="isAcceptedMember()">-->
<!--<a class="nav-link" [class.active]="openInvites" (click)="openInvitesTab()">Bjud in </a>-->
<!--</li>-->
<!--</ul>-->

<!--<div *ngIf="openMembers">-->
<!--<ul class="list-group">-->
<!--<li class="list-group-item" *ngFor="let member of organisation.members"><h4 class="mem-name">{{member.name}}</h4>-->
<!--<button type="button" class="btn btn-link text-danger pull-right"-->
<!--(click)="removeMember(member)"-->
<!--*ngIf="organisation?.members.length > 1 && isAcceptedMember()"><i class="fa fa-minus-circle"></i>Ta bort-->
<!--</button>-->
<!--</li>-->
<!--<li class="list-group-item" *ngIf="(organisation.members | json) == '[]'">Inga medlemmar</li>-->
<!--</ul>-->
<!--</div>-->

<!--<div *ngIf="openWaiting">-->
<!--<div class="row">-->
<!--<div class="col no-pending" *ngIf="(organisation.waiting | json) == '[]'">-->
<!--Det finns inga aktuella medlemsförfrågningar-->
<!--</div>-->
<!--<div class="col" *ngIf="(organisation.waiting | json) != '[]'">-->
<!--<p>Ej besvarade medlemsförfrågningar:</p>-->
<!--<ul class="list-group">-->
<!--<li class="list-group-item" *ngFor="let waiting of organisation.waiting">-->
<!--<p class="memberReqName">{{waiting.name}}</p>-->
<!--<div class="memberDecideButtons">-->
<!--<button class="btn btn-success" (click)="acceptMemberRequest(waiting)"-->
<!--*ngIf="organisation?.currentUserEditAccess">Acceptera-->
<!--</button>-->
<!--<button class="btn btn-danger" (click)="rejectMemberRequest(waiting)"-->
<!--*ngIf="organisation?.currentUserEditAccess">Neka-->
<!--</button>-->
<!--<button class="btn btn-danger" (click)="rejectMemberRequest(waiting)"-->
<!--*ngIf="waiting.keycloakId === keycloakService.client().subject">Ta tillbaks-->
<!--</button>-->
<!--</div>-->
<!--</li>-->
<!--</ul>-->
<!--</div>-->
<!--</div>-->
<!--</div>-->

<!--<div *ngIf="openInvites">-->
<!--<h3 class="H3-Left mt-5 mb-3">Bjud in kollegor:</h3>-->

<!--<div class="form-row form-control">-->
<!--<input type="email" email required #email="ngModel" placeholder="kollegan@firman.se" [(ngModel)]="addInviteEmail"-->
<!--[class.is-invalid]="email.invalid" [class.is-valid]="email.valid" class="col-md-4">-->
<!--<div class="col-md-2">-->
<!--<button class="btn btn-primary inv-btn" (click)="addInvites()" [disabled]="email.invalid">Lägg till</button>-->
<!--</div>-->
<!--</div>-->

<!--<div class="form-row form-control inv-list">-->
<!--<ul class="list-group col-md-4">-->
<!--<li class="list-group-item" *ngFor="let invite of invitesToSend">{{invite}}</li>-->
<!--</ul>-->

<!--<div class="col-md-2 align-bottom">-->
<!--<button class="btn btn-primary align-bottom inv-btn" (click)="sendInvites()" [disabled]="invitesToSend.length === 0">Skicka inbjudan</button>-->
<!--</div>-->
<!--</div>-->
<!--</div>-->

